APICRMActivity TasksUpdate Activity Task
Update Activity Task
Partially update an activity task (PATCH is also accepted). Only fields present in the body are changed. Setting status to Completed records completedAt; any other status clears it. Returns 403 if the task belongs to another organization.
Created: September 16, 2026
Updated: September 16, 2026
Overview
PUT
https://dashboard.vinsi.ai/api/crm/activity-tasks/{taskId}
Request
Headers
Content-Typestring
x-api-keystring
Params
taskIdstring
Example: 901
Request Body
{6 items
"title":string"Email the annual plan quote"
"description":string"Sent with the standard pricing..."
"status":string"Completed"
"assignedToId":string"cmexampleuser0000000000002"
"dueBy":string"2026-09-17T17:00:00.000Z"
"sortOrder":int1
}
Response
{15 items
"id":int901
"activityId":int5120
"title":string"Email the annual plan quote"
"description":string"Sent with the standard pricing..."
"status":string"Completed"
"assignedToId":string"cmexampleuser0000000000002"
"dueBy":string"2026-09-17T17:00:00.000Z"
"createdById":string"cmexampleuser0000000000001"
"completedAt":string"2026-09-16T16:40:00.000Z"
"sortOrder":int1
"lastDueReminderAt":null
"createdAt":string"2026-09-15T20:15:00.000Z"
"updatedAt":string"2026-09-16T16:40:00.000Z"
"AssignedTo":{4 items
"id":string"cmexampleuser0000000000002"
"firstName":string"Sam"
"lastName":string"Rivera"
"email":string"sam.rivera@example.com"
}
"CreatedBy":{4 items
"id":string"cmexampleuser0000000000001"
"firstName":string"Jane"
"lastName":string"Doe"
"email":string"jane.doe@example.com"
}
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
PUT
Headers
Content-Type: *
x-api-key: *
Params
taskId: *
Response
No response yet. Click Send to test the API.